
QGIS Application - Bug report #14440

QGIS bd140a7 (GDAL 2.0.2-4) without vsizip support

2016-03-07 11:56 PM - Christoph Candido

Status: Closed

Priority: High

Assignee:

Category: Data Provider

Affected QGIS version:2.14.0 Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 22419

Description

The latest QGIS commit:bd140a7 (2.15.0-10 from OSGeo4W Setup, 32bit Windows) misses support of loading ZIP files directly.

Best regards,

Christoph Candido

History

#1 - 2016-03-09 05:24 AM - Jürgen Fischer

Different issue GDAL !#6410.

#2 - 2016-03-09 11:02 AM - Christoph Candido

- Assignee deleted (Jürgen Fischer)

Current workaround: setting environment variable CPL_ZIP_ENCODING=CP437

Thank you Jürgen!

#3 - 2016-03-09 02:21 PM - Jürgen Fischer

- Resolution set to fixed/implemented

- Status changed from Open to Closed

fixed in gdal-2.0.2-5

#4 - 2016-06-15 08:19 PM - Alister Hood

Should this be fixed in both 32 bit and 64 bit builds, and both the OSGeo4W installer packages and the standalone QGIS installers, and in the nightlies?

I have what seems like it might be the same problem with both QGIS nightly from 64bit OSGeo4W and the 64bit standalone installer, (although the latter

may not be the very latest version).

#5 - 2016-06-16 06:35 PM - Alister Hood

Sorry, no, this must be a different issue, as the environment variable workaround doesn't work.
https://trac.osgeo.org/gdal/ticket/6410


#6 - 2016-06-23 12:45 AM - Jürgen Fischer

- Subject changed from QGIS 2.15.0-10 (GDAL 2.0.2-4) without vsizip support to QGIS bd140a7 (GDAL 2.0.2-4) without vsizip support

2025-04-27 2/2


